/************************************************************************
 *
 *  LaTeXDocumentPortion.java
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 *
 *  Copyright: 2002 by Henrik Just
 *
 *  All Rights Reserved.
 * 
 *  Version 0.1 (2002-09-23)
 *
 */

package writer2latex;

// TO DO: consider StringBuffer->ByteArrayOutputStream


/** This class represents a portion of a LaTeX document (preamble or body) */
public class LaTeXDocumentPortion {

    private StringBuffer text;
    
    public LaTeXDocumentPortion(){
        text=new StringBuffer("");
    }
    
    public LaTeXDocumentPortion append(String s){
        text.append(s);
        return this;
    }
    
    public LaTeXDocumentPortion nl(){
        text.append("\n");
        return this;
    }
    
    public String getContents(){
        return text.toString();
    }

} // end class LaTeXDocumentPortion

