/************************************************************************
 *
 *  StyleMap.java
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 *
 *  Copyright: 2002-2004 by Henrik Just
 *
 *  All Rights Reserved.
 * 
 *  Version 0.3.3a (2004-01-26)
 *
 */

package writer2latex;

import java.util.Hashtable;
import java.util.Enumeration;

public class StyleMap {
    private Hashtable before = new Hashtable();
    private Hashtable after = new Hashtable();
    private Hashtable next = new Hashtable();
	
    public void put(String sName, String sBefore, String sAfter, String sNext) {
        before.put(sName,sBefore);
        after.put(sName,sAfter);
        next.put(sName,";"+sNext+";");
    }
	
    public void put(String sName, String sBefore, String sAfter) {
        put(sName,sBefore,sAfter,"");
    }

    public boolean contains(String sName) {
        return sName!=null && before.containsKey(sName);
    }
	
    public String getBefore(String sName) {
        return (String) before.get(sName);
    }

    public String getAfter(String sName) {
        return (String) after.get(sName);
    }
	
    public String getNext(String sName) {
        String sNext = (String) next.get(sName);
        return sNext.substring(1,sNext.length()-1);
    }

    public boolean isNext(String sName, String sNext) {
        return ((String) next.get(sName)).indexOf(";"+sNext+";")>-1;
    }
	
    public Enumeration getNames() {
        return before.keys();
    }
	
}
