/************************************************************************
 *
 *  L10n.java
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2.1, as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 *
 *  Copyright: 2002 by Henrik Just
 *
 *  All Rights Reserved.
 * 
 *  Version 0.3.1 (2003-11-29)
 *
 */

package writer2latex.util;

// This class handles localized strings
public class L10n {
    public final static int HOME = 0;
    public final static int PREVIOUS = 1;
    public final static int NEXT = 2;
    public final static int CONTENTS = 3;
    public final static int INDEX = 4;

    private String sLocale="en-US";
	
    public void setLocale(String sLocale) {
        if (sLocale!=null) { this.sLocale = sLocale;}
    }
	
    public String get(int nString) {
        if (sLocale.startsWith("da")) { // danish
            switch (nString) {
                case HOME : return "Hjem";
                case PREVIOUS : return "Forrige";
                case NEXT : return "Nste";
                case CONTENTS : return "Indhold";
                case INDEX : return "Stikord";
            }
        }
        else { // english - default
            switch (nString) {
                case HOME : return "Home";
                case PREVIOUS : return "Previous";
                case NEXT : return "Next";
                case CONTENTS : return "Contents";
                case INDEX : return "Index";
            }
        }
        return "???";
    }
}
